//------------------------------ $Keywords ----------------------------------
// Fast Memory Operations Library
// memcpy.h - Optimized memory copy, set, and zero functions header
//---------------------------------------------------------------------------
#ifndef memcpy_optimizedH
#define memcpy_optimizedH
//---------------------------------------------------------------------------
void * __stdcall memcpy_optimized(void *dest, const void *src, size_t n);
void * __stdcall memset_optimized(void *dest, int c, size_t n);
void __stdcall   memzero_optimized(void *dest, size_t n);
unsigned long get_cpu_type();
//---------------------------------------------------------------------------
#endif
